# Advanced properties

<!-- This file is generated by the detect-docker-inspector build docs target as: detect-docker-inspector/docs/generated/advanced-properties.md -->

The table below lists advanced Docker Inspector properties that can be set using the "detect.docker.passthrough." property prefix:

Property name | Type | Description | Default value | Deprecation Status | Deprecation Message
------------- | ---- | ----------- | ------------- | ------------------ | -------------------
bdio.include.removed.components | Boolean | In generated BDIO, include removed components? If false, only components present in the final container filesystem (in other words, present after the final layer is applied) will be included in the output. If true, a component added by any layer will be included in the output even if later removed by a higher layer. | false|   |  | 
bdio.organize.components.by.layer | Boolean | In generated BDIO, organize components by layer? | false|   |  | 
cleanup.inspector.container | Boolean | Stop inspector container after using it? | true|   |  | 
cleanup.inspector.image | Boolean | Remove inspector image after using it? | false|   |  | 
cleanup.target.image | Boolean | Remove target image after saving it? | false|   |  | 
cleanup.working.dir | Boolean | Cleanup Working Dir? | true|   |  | 
command.timeout | Long | Command Timeout (Milliseconds) | 120000|   |  | 
docker.image.platform | String | The platform (shown as 'platform' field in 'docker manifest inspect {image}' output) of the target image Docker Inspector should pull. You must also provide the target image (via docker.image) when using this property.  Note: when providing a platform, you may provide either the target operating system (os), the target architecture, or os/architecture. |  |   |  | 
docker.image.repo | String | Docker Image Repo; Use with docker.image.tag to select one image from a tarfile |  |   |  | 
docker.image.tag | String | Docker Image Tag; Use with docker.image.repo to select one image from a tarfile |  |   |  | 
imageinspector.service.distro.default | String | Default image inspector Linux distro (alpine, centos, or ubuntu) | ubuntu|   |  | 
imageinspector.service.log.length | Integer | The number of lines of the image inspector service log to include in the Docker Inspector log when log level is DEBUG or higher | 50000|   |  | 
imageinspector.service.port.alpine | String | alpine image inspector host port | 9000|   |  | 
imageinspector.service.port.centos | String | centos image inspector host port | 9001|   |  | 
imageinspector.service.port.ubuntu | String | ubuntu image inspector host port | 9002|   |  | 
imageinspector.service.start | Boolean | Start ImageInspector services (containers) as needed? | true|   |  | 
imageinspector.service.url | String | The URL of the (already running) imageinspector service to use |  |   |  | 
linux.distro | String | Target image Linux distribution name. Use this if you need to override the Linux distribution name discovered by Docker Inspector. |  |   |  | 
offline.mode | Boolean | Make no attempts to access network-based resources (the docker repository) | false|   |  | 
output.containerfilesystem.excluded.paths | String | Comma-separated list of directories/files/links (specified as absolute paths) to exclude from the container filesystem |  |   |  | 
output.include.containerfilesystem | Boolean | Include container filesystem (a large file) in output? | false|   |  | 
output.include.squashedimage | Boolean | Include container filesystem (a large file) in output? | false|   |  | 
output.path | String | Path to directory for output files |  |   |  | 
service.timeout | Long | HTTP Service Request Timeout (Milliseconds) | 600000|   |  | 
shared.dir.path.local | String | The host's path to the dir shared with the imageinspector containers. Only needed if using existing imageinspector containers. If not set, $HOME/blackduck/docker-inspector/shared will be used |  |   |  | 
system.properties.path | String | Path to a properties file containing additional system properties (an alternative to java -D) |  |   |  | 
use.platform.default.docker.host | Boolean | Use platform's default DOCKER_HOST value? Set to false if you want to override DOCKER_HOST | true|   |  | 

